For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Rate Periods
      • POSTCreate Rate Period
LogoLogo
SupportContact salesStart free trial
API ReferenceHourly Rate Period

Create Rate Period

POST
https://api.projectmanager.com/api/data/hourly-rate-periods
POST
/api/data/hourly-rate-periods
$curl -X POST https://api.projectmanager.com/api/data/hourly-rate-periods \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "startDate": "2023-01-15",
16 "finishDate": "2023-01-15",
17 "isCurrent": true,
18 "createBy": "string",
19 "createDate": "2024-01-15T09:30:00Z",
20 "modifyBy": "string",
21 "modifyDate": "2024-01-15T09:30:00Z",
22 "values": [
23 {
24 "id": "string",
25 "createBy": "string",
26 "createDate": "2024-01-15T09:30:00Z",
27 "modifyBy": "string",
28 "modifyDate": "2024-01-15T09:30:00Z",
29 "hourlyRateDefinitionId": "string",
30 "hourlyRatePeriodId": "string",
31 "periodStartDate": "2024-01-15T09:30:00Z",
32 "periodFinishDate": "2024-01-15T09:30:00Z",
33 "value": 1.1
34 }
35 ]
36 }
37}
Creates a rate period
Was this page helpful?
Previous

Retrieve Integration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The rate period start date.
startDatestringOptionalformat: "date"
The rate period state date

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Represents a period of time for which a specific hourly rate is applicable.